Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLARRA

    java.lang.Object
      org.netlib.lapack.DLARRA

    public class DLARRA

extends java.lang.Object

    DLARRA is a simplified interface to the JLAPACK routine dlarra.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  Compute the splitting points with threshold SPLTOL.
     *  DLARRA sets any "small" off-diagonal elements to zero.
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The order of the matrix. N > 0.
     *
     *  D       (input) DOUBLE PRECISION array, dimension (N)
     *          On entry, the N diagonal elements of the tridiagonal
     *          matrix T.
     *
     *  E       (input/output) DOUBLE PRECISION array, dimension (N)
     *          On entry, the first (N-1) entries contain the subdiagonal
     *          elements of the tridiagonal matrix T; E(N) need not be set.
     *          On exit, the entries E( ISPLIT( I ) ), 1 <= I <= NSPLIT,
     *          are set to zero, the other entries of E are untouched.
     *
     *  E2      (input/output) DOUBLE PRECISION array, dimension (N)
     *          On entry, the first (N-1) entries contain the SQUARES of the

     *          subdiagonal elements of the tridiagonal matrix T;
     *          E2(N) need not be set.
     *          On exit, the entries E2( ISPLIT( I ) ),
     *          1 <= I <= NSPLIT, have been set to zero
     *
     *  SPLTOL (input) DOUBLE PRECISION
     *          The threshold for splitting. Two criteria can be used:
     *          SPLTOL<0 : criterion based on absolute off-diagonal value
     *          SPLTOL>0 : criterion that preserves relative accuracy
     *
     *  TNRM (input) DOUBLE PRECISION
     *          The norm of the matrix.
     *
     *  NSPLIT  (output) INTEGER
     *          The number of blocks T splits into. 1 <= NSPLIT <= N.
     *
     *  ISPLIT  (output) INTEGER array, dimension (N)
     *          The splitting points, at which T breaks up into blocks.
     *          The first block consists of rows/columns 1 to ISPLIT(1),
     *          the second of rows/columns ISPLIT(1)+1 through ISPLIT(2),
     *          etc., and the NSPLIT-th consists of rows/columns
     *          ISPLIT(NSPLIT-1)+1 through ISPLIT(NSPLIT)=N.
     *
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *     Beresford Parlett, University of California, Berkeley, USA
     *     Jim Demmel, University of California, Berkeley, USA
     *     Inderjit Dhillon, University of Texas, Austin, USA
     *     Osni Marques, LBNL/NERSC, USA
     *     Christof Voemel, University of California, Berkeley, USA
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DLARRA()`

Method Summary
`static void` | `DLARRA(int n, double[] d, double[] e, double[] e2, double spltol, double tnrm, intW nsplit, int[] isplit, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLARRA

    public DLARRA()

Method Detail

### DLARRA

    public static void DLARRA(int n,
                              double[] d,
                              double[] e,
                              double[] e2,
                              double spltol,
                              double tnrm,
                              intW nsplit,
                              int[] isplit,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD